%define rel 1
%define version 2.0.3
%define pkgname jicmp6

%{!?jdk_dep:%define jdk_dep jdk >= 1.5.0-1}

%define _libdir %_prefix/lib
%define arch_arg --with-jvm-arch=32

%ifarch x86_64
%define _libdir %_prefix/lib64
%define arch_arg --with-jvm-arch=64
%endif

%ifarch s390x
%define _libdir %_prefix/lib64
%define arch_arg --with-jvm-arch=64
%endif

Name: %{pkgname}
Version: %{version}
Release: %{rel}%{?dist}
License: GPL
Group: Applications/Databases
Summary: Java interface to ICMP (ping)
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gcc, %{jdk_dep}

%description
Java interface to ICMPv6 (ping).

%prep
%setup -n %{name}-%{version}

%build
%configure %{arch_arg}
make

if test `hostname | grep -c internal.opennms.com` -eq 1; then
	echo "WARNING: you will need to run 'sysctl -w net.ipv4.ping_group_range=\"0 429496729\"' for this to pass."
	make check
fi

%install
%makeinstall

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf "$RPM_BUILD_ROOT"
fi

%files
%attr(755,root,root) %{_libdir}/libjicmp*
%attr(644,root,root) %{_datadir}/java/*.jar

%changelog
* Wed Jul 25 2007 Benjamin Reed <ranger@opennms.org>
- initial package
